PLAINBOX-SELF-TEST(1)

NAME
plainbox-self-test - run unit and integration tests

SYNOPSIS

        plainbox self-test [-h] [--fail-fast] [-q] [--normal] [-v]
                           (-i | -u | -s SUITE)

DESCRIPTION

Run unit and integration tests

OPTIONS

Optional arguments:

    --fail-fast
        abort the test on first failure

    -q, --quiet
        run tests quietly

    --normal
        run tests with normal verbosity (default)

    -v, --verbose
        run tests verbosely, printing each test case name

    -i, --integration-tests
        run integration test suite (this verifies checkbox jobs)

    -u, --unit-tests
        run unit tests (this only verifies plainbox core)

    -s, --suite
        run custom test suite

AUTHOR
Zygmunt Krynicki & Checkbox Contributors

COPYRIGHT
2012-2014 Canonical Ltd